com.corticon.rulesemf.canonicalvocabularymodel

## Interface DatabaseLookupProperties

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

      public interface DatabaseLookupProperties
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Database Lookup Properties'.

  The following features are supported:

  - `Table Name`
  - `Labels Column Name`
  - `Values Column Name`
  See Also:
    `CanonicalvocabularymodelPackage.getDatabaseLookupProperties()`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `VocabularyString` | `getLabelsColumnName()` Returns the value of the 'Labels Column Name' containment reference
    `VocabularyString` | `getTableName()` Returns the value of the 'Table Name' containment reference
    `VocabularyString` | `getValuesColumnName()` Returns the value of the 'Values Column Name' containment reference
    `void` | `setLabelsColumnName(VocabularyString value)` Sets the value of the '`Labels Column Name`' containment reference
    `void` | `setTableName(VocabularyString value)` Sets the value of the '`Table Name`' containment reference
    `void` | `setValuesColumnName(VocabularyString value)` Sets the value of the '`Values Column Name`' containment reference

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getTableName

          VocabularyString getTableName()

      Returns the value of the 'Table Name' containment reference.

      If the meaning of the 'Table Name' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Table Name' containment reference.
      See Also:
        `setTableName(VocabularyString)`, `CanonicalvocabularymodelPackage.getDatabaseLookupProperties_TableName()`

    - #### setTableName

          void setTableName(VocabularyString value)

      Sets the value of the '`Table Name`' containment reference.
      Parameters:
        `value` - the new value of the 'Table Name' containment reference.
      See Also:
        `getTableName()`

    - #### getLabelsColumnName

          VocabularyString getLabelsColumnName()

      Returns the value of the 'Labels Column Name' containment reference.

      If the meaning of the 'Labels Column Name' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Labels Column Name' containment reference.
      See Also:
        `setLabelsColumnName(VocabularyString)`, `CanonicalvocabularymodelPackage.getDatabaseLookupProperties_LabelsColumnName()`

    - #### setLabelsColumnName

          void setLabelsColumnName(VocabularyString value)

      Sets the value of the '`Labels Column Name`' containment reference.
      Parameters:
        `value` - the new value of the 'Labels Column Name' containment reference.
      See Also:
        `getLabelsColumnName()`

    - #### getValuesColumnName

          VocabularyString getValuesColumnName()

      Returns the value of the 'Values Column Name' containment reference.

      If the meaning of the 'Values Column Name' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Values Column Name' containment reference.
      See Also:
        `setValuesColumnName(VocabularyString)`, `CanonicalvocabularymodelPackage.getDatabaseLookupProperties_ValuesColumnName()`

    - #### setValuesColumnName

          void setValuesColumnName(VocabularyString value)

      Sets the value of the '`Values Column Name`' containment reference.
      Parameters:
        `value` - the new value of the 'Values Column Name' containment reference.
      See Also:
        `getValuesColumnName()`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.